import { IgrSplineSeriesBase } from "./igr-spline-series-base";
import { SplineAreaSeries } from "./SplineAreaSeries";
/**
 * Represents a IgxDataChartComponent spline area series.
*
* ```html
* <igx-data-chart
*     [dataSource]="data">
*     <igx-category-x-axis
*         label="label"
*         #xAxis>
*     </igx-category-x-axis>
*     <igx-numeric-y-axis
*         #yAxis>
*     </igx-numeric-y-axis>
*     <igx-spline-area-series
*         [xAxis]="xAxis"
*         [yAxis]="yAxis"
*         valueMemberPath="value">
*     </igx-spline-area-series>
* </igx-data-chart>
* ``
* ```
*/
export class IgrSplineAreaSeries extends IgrSplineSeriesBase {
    createImplementation() {
        return new SplineAreaSeries();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
